﻿using Connected.Common.Documents;

namespace Connected.Logistics.Documents.Receive;

public interface IReceiveDocument : IDocument<int>
{
	int? Supplier { get; init; }
	DateTimeOffset? ReceiveDate { get; init; }

	int ItemCount { get; init; }
	int OpenItemCount { get; init; }
}
