﻿using Connected.Entities.Caching;
using Connected.Logistics.Types.Warehouses;

namespace Connected.Logistics.Types.WarehouseLocations;
internal interface IWarehouseLocationCache : IEntityCacheClient<WarehouseLocation, int> { }
/// <summary>
/// Cache for the <see cref="WarehouseLocation"/> entity.
/// </summary>
internal sealed class WarehouseLocationCache : EntityCacheClient<WarehouseLocation, int>, IWarehouseLocationCache
{
	public WarehouseLocationCache(IEntityCacheContext context) : base(context, Warehouse.EntityKey)
	{
	}
}
