﻿using Connected.Entities.Caching;

namespace Connected.Logistics.Types.Warehouses;

internal interface IWarehouseCache : IEntityCacheClient<Warehouse, int> { }
/// <summary>
/// Cache for the <see cref="Warehouse"/> entity.
/// </summary>
internal sealed class WarehouseCache : EntityCacheClient<Warehouse, int>, IWarehouseCache
{
	public WarehouseCache(IEntityCacheContext context) : base(context, Warehouse.EntityKey)
	{
	}
}
